@import '../base';

.target-page {
  color: #8c8c8c;
  font-size: 13px;

  .page-inner {
    padding: 15px;
    max-width: 460px;
    margin: auto;
  }

  .gender-select {
    text-align: center;
    margin-top: 15px;

    > p {
      margin-bottom: 2px;
    }

    > div {
      display: inline-block;
      width: 80px;
      height: 57px;
      padding: 20px 12px 9px 12px;
      border-radius: 5px;
      cursor: pointer;
      position: relative;
      vertical-align: middle;
      background-color: #eceaeb;

      + div {
        margin-right: 5px;
      }

      > span {
        font-size: 11px;
        position: absolute;
        top: 4px;
        font-weight: bold;
        text-align: center;
        left: 0;
        width: 100%;
        color: #919191;
      }

      > i {
        font-size: 30px;
        color: #9b9b9b;
      }

      &.active {
        background-color: $primary;

        > span {
          color: white;
        }

        > i {
          color: white;
        }
      }
    }
  }

  // gender-select

  .unit-select-item {
    margin: 20px 0;

    .vue-ruler-wrapper {
      color: #757575;
      background-color: #eceaeb;

      &.has-mm li.high {
        background: url(../../images/ruler.svg) no-repeat center bottom;
        background-size: contain;
      }
    }
  }

  .activity-details {
    background-color: #eceaeb;
    padding: 10px;
    font-size: 11px;
    text-align: center;
    border-radius: 5px;
    position: relative;
    margin-top: -5px;

    &:before {
      border: solid 8px transparent;
      border-top: none;
      border-bottom-color: #eceaeb;
      position: absolute;
      left: 50%;
      bottom: 100%;
      content: '';
      margin-left: -8px;
    }
  }

  .target-bmi-result {
    border-radius: 0 0 100px 100px;
    background-color: #e1e1e1;
    margin: auto;
    width: 36%;
    display: block;
    position: relative;
    font-size: 0.8rem;

    &:before {
      content: '';
      display: block;
      padding-bottom: 50%;
    }

    > div {
      text-align: center;
      display: flex;
      flex-direction: column;
      justify-content: center;
    }
  }

  .target-weight-result {
    list-style-type: none;
    padding: 0;
    margin: 30px 0;
    display: flex;
    justify-content: space-between;

    > li {
      background-color: #e1e1e1;
      border-radius: 16px;
      flex: 0 0 80px;
      text-align: center;
      padding: 10px 0;

      > p {
        margin: 0;

        &:nth-child(1) {
          font-size: 12px;
          font-weight: 500;
        }

        &:nth-child(2) {
          font-size: 20px;
          font-weight: 500;
          color: #292929;
          line-height: 1.5;
          height: 26px;
        }

        &:nth-child(3) {
          font-size: 11px;
        }
      }

      &.variant-success p:first-child {
        color: $success;
      }

      &.variant-info p:first-child {
        color: $info;
      }

      &.variant-warning p:first-child {
        color: $warning;
      }

      &.variant-danger p:first-child {
        color: $danger;
      }

      &.variant-full-primary {
        background-color: $primary;
        color: white;
        transform: scale(1.2, 1.2);

        p:nth-child(2) {
          color: inherit;
        }
      }

      &.variant-full-success {
        background-color: $success;
        color: white;

        p:nth-child(2) {
          color: inherit;
          font-size: 12px;
          margin-top: 15px;
        }
      }
    }
  }

  $bmi-fitness: lighten($info, 5%);
  $bmi-normal: lighten($green, 15%);
  $bmi-health: darken($yellow, 3%);
  $bmi-danger: lighten($red, 5%);

  .vue-slider {
    .vue-slider-rail {
      background-color: white !important;
    }

    .vue-slider-mark {
      width: auto !important;
      left: 2px;
      transform: translate(0, -50%);
      border-radius: 5px 0 0 5px;

      .vue-slider-mark-step {
        //width: 2px;
        //border-radius: 0;
        //background-color: rgba(black, 0.3);
        //margin: auto;
        display: none;
      }

      //&:first-child,
      //&:last-child {
      //  .vue-slider-mark-step {
      //    opacity: 0;
      //  }
      //}
      &:nth-child(1) {
        background-color: $bmi-fitness;
        border-radius: 5px;
      }

      &:nth-child(2) {
        background-color: $bmi-normal;
      }

      &:nth-child(3) {
        background-color: $bmi-health;
      }

      &:nth-child(4) {
        background-color: $bmi-danger;
        left: 0;
      }
    }

    .vue-slider-dot-tooltip-top {
      top: -15px;
    }

    .vue-slider-dot-tooltip-inner {
      background-color: $primary;
    }

    .vue-slider-dot-handle {
      background-color: $primary;
      border: solid 3px white;
      transform: scale(1.5, 1.5);
      box-shadow: 0 0 2px rgba(black, 0.9);

      &:after {
        display: none;
      }
    }

    .vue-slider-mark-label {
      font-size: 11px;
      right: 0;
    }
  }

  .target-select-slider {
    padding: 70px 0 50px;
    position: relative;

    .swipe-helper {
      width: 60px;
      position: absolute;
      top: 50%;
      left: 50%;
      margin-top: -8px;
      margin-left: -25px;
      z-index: 10;
      animation: swipe-helper-move 3s ease-in-out forwards;
    }
  }

  .target-weight-statuses {
    list-style-type: none;
    display: flex;
    font-size: 11px;
    width: 100%;
    margin-bottom: 50px;

    li {
      flex-grow: 1;

      &:before {
        content: '';
        width: 10px;
        height: 10px;
        border-radius: 3px;
        display: inline-block;
        vertical-align: middle;
        margin-left: 5px;
      }

      &[data-type='fitness']:before {
        background-color: $bmi-fitness;
      }

      &[data-type='normal']:before {
        background-color: $bmi-normal;
      }

      &[data-type='health']:before {
        background-color: $bmi-health;
      }
    }
  }

  // step end
  .calorie-logo-svg {
    text-align: center;

    .svg-outer {
      width: 260px;
      height: 260px;
      margin: 15px auto;
      position: relative;
      padding: 48px;

      &:before {
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: white;
        border-radius: 50%;
        content: '';
        box-shadow: 0 0 4px rgba(black, 0.5);
        transform: scale(0.98, 0.98);
      }

      svg {
        width: 100%;
        display: block;
        position: absolute;
        top: -0.4%;
        left: 0;

        &:nth-child(2) {
          animation: rotate-svg-once 3s ease-in-out forwards;
        }
      }

      .inner {
        height: 100%;
        border-radius: 50%;
        background-color: white;
        box-shadow: 0 0 3px rgba(black, 0.4);
        position: relative;
        z-index: 10;
        display: flex;
        flex-direction: column;
        justify-content: center;
        //color: $primary;

        .gradient-color {
          background: -webkit-linear-gradient(
            lighten($secondary, 30%),
            $secondary
          );
          -webkit-background-clip: text;
          -webkit-text-fill-color: transparent;
          > * {
            margin: 2px 0;
          }
          p:first-child {
            font-size: 1.2rem;
            font-weight: 900;
          }
          h3 {
            font-weight: 900;
          }
        }
      }
    }
  }

  .step-end {
    .btn-success {
      &,
      &:hover,
      &:focus,
      &:active {
        background: linear-gradient(
          45deg,
          darken($success, 7%) 0%,
          lighten($success, 10%) 100%
        );
      }

      width: 180px;
      box-shadow: -1px 1px 2px rgba(black, 0.4);
    }

    .shadow-mood {
      width: 300px;
      position: relative;
      overflow: hidden;
      margin: auto;
      perspective: 600px;
      &:before {
        display: block;
        padding-bottom: 25%;
        content: '';
      }
      &:after {
        content: '';
        width: 200px;
        height: 110px;
        position: absolute;
        bottom: 20%;
        left: 50%;
        transform: translateX(-50%) rotateX(-56deg) scale(1.5, 1.2);
        background-color: white;
        border-radius: 0 0 100px 100px;
        box-shadow: 0 13px 8px -10px rgba(0, 0, 0, 0.1);
      }
    }

    .box-red {
      padding: 20px;
      border-radius: 15px;
      color: white;
      text-align: center;
      background: linear-gradient(
        45deg,
        darken($danger, 5%) 0%,
        lighten($danger, 5%) 100%
      );
      .title {
        line-height: 30px;
        height: 30px;
        padding: 0 30px;
        background-color: darken($red, 10%);
        border-radius: 10px;
        display: inline-block;
        margin-bottom: 15px;
      }
    }
  }

  @media screen and (max-width: 500px) {
    .calorie-logo-svg {
      .svg-outer {
        width: 200px;
        height: 200px;
        padding: 38px;
      }
    }
    .v-steps {
      margin-top: 0 !important;
      margin-bottom: 0 !important;
    }
    .target-step {
      > h5 {
        font-size: 15px;
        margin-bottom: 20px !important;
      }
    }
  }
}

@keyframes rotate-svg-once {
  0% {
    transform: rotate(-170deg);
  }
  100% {
    transform: rotate(0deg);
  }
}

@keyframes swipe-helper-move {
  0% {
    transform: translateX(0);
  }
  4% {
    transform: translateX(0);
  }
  25% {
    transform: translateX(-100px);
  }
  75% {
    transform: translateX(100px);
  }
  80% {
    opacity: 1;
  }
  100% {
    transform: translateX(0);
    opacity: 0;
    visibility: hidden;
  }
}
